Caddy(8)

NAME
caddy-file-server - Spins up a production-ready file server

SYNOPSIS
caddy file-server [flags]

DESCRIPTION
A simple but production-ready file server. Useful for quick deployments, demos, and development.

The listener's socket address can be customized with the --listen flag.

If a domain name is specified with --domain, the default listener address will be changed to the HTTPS port and the server will use HTTPS. If using a public domain, ensure A/AAAA records are properly configured before using this option.

If --browse is enabled, requests for folders without an index file will respond with a file listing.

OPTIONS
--access-log[=false]
    Enable the access log

--browse[=false]
    Enable directory browsing

--debug[=false]
    Enable verbose debug logs

--domain=""
    Domain name at which to serve the files

-h, --help[=false]
    help for file-server

--listen=""
    The address to which to bind the listener

--root=""
    The path to the root of the site

--templates[=false]
    Enable template rendering

SEE ALSO
caddy(8)

HISTORY
18-Oct-2025 Auto generated by spf13/cobra